###

#

scanline_read_iterator< Reader > Class Template Reference

Input iterator to read images. More...

`#include <scanline_read_iterator.hpp>`

Inherits iterator_facade< scanline_read_iterator< Reader >, byte_t *, std::input_iterator_tag >.

## Public Member Functions

| scanline_read_iterator (Reader &reader, int pos=0)

## Friends

class | boost::iterator_core_access

## Detailed Description

template<typename Reader>
class boost::gil::scanline_read_iterator< Reader >

Input iterator to read images.

The documentation for this class was generated from the following file:

- scanline_read_iterator.hpp